Subject: bug#21760: timeout: Feature Request: --verbose ==> output if timeout

From: Jim Meyering <[email-masked]>
Date: Thu, 23 Nov 2017 15:38:17 -0800

On Thu, Nov 23, 2017 at 2:35 PM, Pádraig Brady <[email-masked]> wrote:
...
>> So I'm leaning towards supporting --verbose which would output something like:
>>
>>   timeout: aborting command 'blah' with signal SIGTERM
>>   timeout: aborting command 'blah' with signal SIGKILL

+          error (0, 0, _("aborting command %s with signal %s"),
+                 quote (command), signame);

I like it, though maybe print "sending signal %s to command %s" ?
Sometimes (as above), the first attempt doesn't affect the process,
much less send SIGABRT, which one might infer from the use of "abort".

Also wording related, "the signal sent upon timeout" appears both in
code and in doc. I'd s/the/any/, since there can be more than one.